Download it now!
Bug 85426 - VIEWING: Fixing line space crops Arabic tashkeel below in Amiri font
Summary: VIEWING: Fixing line space crops Arabic tashkeel below in Amiri font
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paragraph-Line-Spacing RTL-Arabic
  Show dependency treegraph
 
Reported: 2014-10-25 04:20 UTC by Ghasan
Modified: 2020-10-14 04:30 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Comparison between LibreOffice rendering and PDF. (12.54 KB, application/zip)
2014-10-25 04:20 UTC, Ghasan
Details
Original files (15.34 KB, application/zip)
2014-10-25 05:54 UTC, Ghasan
Details
PDF output in 4.3.2.2 (8.32 KB, application/pdf)
2014-10-25 07:10 UTC, tommy27
Details
Word 2013 Output (14.11 KB, image/jpeg)
2015-12-24 18:30 UTC, Ghasan
Details
Same text and font in Google Chrome (61.27 KB, image/png)
2017-10-13 19:38 UTC, Khaled Hosny
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ghasan 2014-10-25 04:20:14 UTC
Created attachment 108378 [details]
Comparison between LibreOffice rendering and PDF.

It is just as the summary.

I am using Amiri font for writing RTL text.
Comment 1 tommy27 2014-10-25 05:40:45 UTC
please upload the original .odt file as well, not only screenshots.
Comment 2 Ghasan 2014-10-25 05:54:56 UTC
Created attachment 108379 [details]
Original files

Here are the original files. BTW, I noticed also some glitches when navigating letters. For example, I can't navigate to the start of the second line, and would need to advance to three of four letters in case I want to delete the first letter in the second line. I think this is logical vs visual issue.
Comment 3 tommy27 2014-10-25 07:10:11 UTC
Created attachment 108382 [details]
PDF output in 4.3.2.2

try upgrading to LibO 4.3.2.2 and export your .doc file to PDF
compare with my attached PDF

it seems much better than your PDF output in 4.2.6.3.
do you agree or do you still see PDF export issues?
Comment 4 Ghasan 2014-10-25 08:02:06 UTC
I downloaded the latest 4.3 and no longer facing the issue of navigating letters I mentioned in my second comment. However, the view is still the same.

In the PDF I attached you can see the diacritics of the first line (below إ letters), however they are not visible when working on LibreOffice.
Comment 5 Ghasan 2014-11-04 10:54:42 UTC
I found this question on Superuser.com, and it seems similar to my case.
https://superuser.com/questions/776047/arabic-in-libreoffice-composite-character-chopped-off-at-the-top
Comment 6 tommy27 2014-11-05 07:02:07 UTC
Ok, I set status to NEW because of that website confirmation
Comment 7 QA Administrators 2015-12-20 16:12:16 UTC Comment hidden (obsolete)
Comment 8 Ghasan 2015-12-24 18:30:43 UTC
Created attachment 121537 [details]
Word 2013 Output

It looks like either an issue with the font, or that the font is supporting advanced OpenType features that is not widely used (I have heard once about its use of various use of OpenType.)

The issue manifests also with Word 2013. The issue as my obeservation is that when I fix the height of the line and they ended overlapping when they span multiple lines, the "overflow" content (especially when using diacritics) of each line is cut short. However, when it is printed, PDF seems to let them overlap without interference.
Comment 9 QA Administrators 2017-01-03 19:57:41 UTC Comment hidden (obsolete)
Comment 10 Yousuf Philips (jay) (retired) 2017-10-13 17:45:43 UTC
So this happens in Amiri (v0.107-1 on my ubuntu 16.04-based system and v0.109 from github), but doesnt in any arabic font that comes by default on Windows, so i presume its a problem with the font. I field a separate bug for the issue mentioned in comment 5 in bug 113102.

Khaled: What is your take on this, as you are the font creator?
Comment 11 Khaled Hosny 2017-10-13 19:17:39 UTC
That is another clipping issue, we are clipping the text to the line height not to the bounding box as we should. This is triggered with Amiri since its vowel marks are generally high than simpler fonts, but the PDF renders fine since it does not suffer from the same clipping limitations that LibreOffice own rendering has.
Comment 12 Khaled Hosny 2017-10-13 19:37:19 UTC
MS Office has the same clipping issues as LibreOffice. Compare with web browsers (e.g. Firefox or Chrome) that have no issue:

data:text/html;charset=utf8,<p style="font: 20pt/170% Amiri; width: 800px; direction:rtl;word-break: break-all;">إإٍإٍإٍإٍإٍإٍإٍإٍإٍإٍإٍإٍإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإإأأأأأًأًأًأًأًأًأًأًأًأًأًأأأأأأأأأأأأأأأأأأأأأأأأأأأأأأأأأأأأأأأ.</p>
Comment 13 Khaled Hosny 2017-10-13 19:38:48 UTC
Created attachment 136962 [details]
Same text and font in Google Chrome
Comment 14 QA Administrators 2018-10-14 02:57:11 UTC Comment hidden (obsolete)
Comment 15 QA Administrators 2020-10-14 04:30:57 UTC
Dear Ghasan,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug